com.google.appengine.api.search

## Class ScoredDocument

- java.lang.Object
- - com.google.appengine.api.search.Document
  - - com.google.appengine.api.search.ScoredDocument

- All Implemented Interfaces:
    java.io.Serializable

      public final class ScoredDocument
      extends Document
      implements java.io.Serializable

  Represents a document which may have been scored, possibly some computed expression fields, and a cursor to continue the search from.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScoredDocument.Builder` A builder of scored documents.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cursor` | `getCursor()` A `Cursor` to be used continuing search after this search result.
    `java.util.List<Field>` | `getExpressions()` The list of Field which are the result of any extra expressions requested.
    `java.util.List<java.lang.Double>` | `getSortScores()` The list of scores assigned during sort evaluation.
    `static ScoredDocument.Builder` | `newBuilder()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.google.appengine.api.search.Document

      `equals, getField, getFieldCount, getFieldNames, getFields, getFields, getId, getLocale, getOnlyField, getRank, hashCode`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSortScores

          public java.util.List<java.lang.Double> getSortScores()

      The list of scores assigned during sort evaluation. Each sort dimension is included in this list. Positive scores are used for ascending sorts; negative scores are used for descending.
      Returns:
        the list of scores assigned during sort evaluation

    - #### getExpressions

          public java.util.List<Field> getExpressions()

      The list of Field which are the result of any extra expressions requested. For example, if a request contains fields to snippet or `FieldExpressions` which are named snippet expressions, then the returned expression will be a Field with the name specified in the request and HTML value set to the snippet.
      Returns:
        the list of Field which are the result of extra expressions requested.

    - #### getCursor

          public Cursor getCursor()

      A `Cursor` to be used continuing search after this search result. For this field to be populated, use `QueryOptions.Builder.setCursor(Cursor)`, where the cursor is created by `Cursor.newBuilder().setPerResult(true).build()`. Otherwise `getCursor()` will return null.
      Returns:
        a cursor used for issuing a subsequent search that will return elements beginning after this result. Can be null

    - #### newBuilder

          public static ScoredDocument.Builder newBuilder()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Document`